Subject: Re: parsing of some early cmdline options

From: Michael Ellerman <[email-masked]>
Date: Fri, 24 Feb 2006 10:40:50 +1100

On Fri, 24 Feb 2006 10:19, Benjamin Herrenschmidt wrote:
> On Thu, 2006-02-23 at 17:02 -0600, Kumar Gala wrote:
> > Guys,
> >
> > I noticed that we have code in arch/powerpc/kernel/prom_init.c to handle
> > parsing iommu=, mem=, and crashkernel=.
> >
> > The problem I have is that we only use/build prom_init.c on MULTIPLATFORM
> > (coming from true OF).

> > Any ideas on how to handle this for the !MULTIPLATFORM cases.  I'm most
> > concerned about mem=.

mem= is a bit tricky because you need to know about it really early, otherwise 
your bootloader might violate the limit. But we could certainly check for it 
again in prom.c. And you can always just set /chosen/linux,memory-limit.

cheers

-- 
Michael Ellerman
IBM OzLabs

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person